# Links Manager SQL Upgrade
# For Zen-Cart 1.3.8
# Version: 3.5.1
# Updated: 9/7/2009
# run this sql patch using the Zen-Cart Sql Patches tool
# (admin -> tools -> install sql patches)
# New configuration options are added to the zen_configuration table.
# For best results, cut-and-paste the code into the query field and press 'Send' instead.

SET @configuration_group_id=0;
SELECT (@configuration_group_id:=configuration_group_id)
FROM configuration_group
WHERE configuration_group_title= 'Links Manager'
LIMIT 1;

DELETE FROM configuration WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;
DELETE FROM configuration WHERE configuration_key = 'DEFINE_LINKS_STATUS';
DELETE FROM configuration_group WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;

INSERT INTO configuration_group VALUES (NULL, 'Links Manager', 'Links Display Settings', '1', '1');
SET @configuration_group_id=last_insert_id();
UPDATE configuration_group SET sort_order = @configuration_group_id WHERE configuration_group_id = @configuration_group_id;

INSERT INTO `configuration` VALUES (NULL, 'Links Box - Display View All Links', 'BOX_DISPLAY_VIEW_ALL_LINKS', 'true', 'Display View All Links on Links Sidebox', @configuration_group_id, 2, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Links Box - Display Submit Link', 'BOX_DISPLAY_SUBMIT_LINK', 'true', 'Display Submit Link on Sidebox', @configuration_group_id, 3, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Display Description As Link', 'DISPLAY_LINK_DESCRIPTION_AS_LINK', 'false', 'Display the links description as a link', @configuration_group_id, 4, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Enable Click Count', 'ENABLE_LINKS_COUNT', 'false', 'Enable links click count.', @configuration_group_id, 5, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Submit Link - Require Reciprocal Page', 'SUBMIT_LINK_REQUIRE_RECIPROCAL', 'true', 'Require Reciprocal Page on Links Submit', @configuration_group_id, 6, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Display Link Banner Image', 'LINK_LIST_IMAGE', '1', 'Do you want to display the Link Banner Image?', @configuration_group_id, 7, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Display Link Description', 'LINK_LIST_DESCRIPTION', '2', 'Do you want to display the Link Description?', @configuration_group_id, 8, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Display Link Click Count', 'LINK_LIST_COUNT', '0', 'Do you want to display the Link Click Count?', @configuration_group_id, 9, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Title Minimum Length', 'ENTRY_LINKS_TITLE_MIN_LENGTH', '2', 'Minimum length of link title.', @configuration_group_id, 10, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Title Maximum Length', 'ENTRY_LINKS_TITLE_MAX_LENGTH', '50', 'Maximum length of link title.', @configuration_group_id, 11, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link URL Minimum Length', 'ENTRY_LINKS_URL_MIN_LENGTH', '10', 'Minimum length of link URL.', @configuration_group_id, 12, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Description Minimum Length', 'ENTRY_LINKS_DESCRIPTION_MIN_LENGTH', '10', 'Minimum length of link description.', @configuration_group_id, 13, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Description Maximum Length', 'ENTRY_LINKS_DESCRIPTION_MAX_LENGTH', '250', 'Maximum length of link description.', @configuration_group_id, 14, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Contact Name Minimum Length', 'ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH', '2', 'Minimum length of link contact name.', @configuration_group_id, 15, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Number Of Links to display on Links Page', 'MAX_DISPLAY_LINKS', '5', 'Set the number of Links to display on the Links page.', @configuration_group_id, 16, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Links Check Phrase', 'LINKS_CHECK_PHRASE', 'yoursitename', 'Phrase to look for, when you perform a link check.', @configuration_group_id, 17, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Links List - Scroll Box Size/Style', 'MAX_LINKS_LIST', '3', 'Number of link category names to be displayed in the scroll box window. Setting this to 1 or 0 will display a dropdown list', @configuration_group_id, 18, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Length of Link Categories Name', 'MAX_DISPLAY_LINK_NAME_LEN', '17', 'Used in links box; maximum length of link category name to display. Longer names will be truncated.', @configuration_group_id, 19, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Select Links Sort Order', 'DEFINE_SORT_ORDER', '1', 'Define the sort order of the links<br />1= Sort by Title<br />2= Sort by Date (Newest to Oldest)<br />3= Sort by number of clicks (highest to lowest)', @configuration_group_id, 20, NULL, now(), NULL, 'zen_cfg_select_option(array(''1'', ''2'', ''3''),');
INSERT INTO `configuration` VALUES (NULL, 'Number of Link Categories Per Row - Default is 3', 'MAX_LINK_CATEGORIES_ROW', '3', 'Used to display Link Categories per row.<br />Default is 3', @configuration_group_id, 21, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Link Category Image Directory', 'LINK_CATEGORY_IMAGE_DIRECTORY', 'link_category/', 'Set the Directory for the Category Image', @configuration_group_id, 22, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Image - Link Category Height', 'LINK_CATEGORY_IMAGE_HEIGHT', '80', 'The pixel width of Link Category images', @configuration_group_id, 23, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Image - Link Category Width', 'LINK_CATEGORY_IMAGE_WIDTH', '80', 'The pixel width of Link Category images', @configuration_group_id, 24, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Show Banner Image Field', 'SHOW_LINKS_BANNER_IMAGE', 'true', 'Show Banner Image Field', @configuration_group_id, 25, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES (NULL, 'Link Banner Image Directory', 'LINK_IMAGE_DIRECTORY', 'links_image/', 'Set the Directory for the Link Image', @configuration_group_id, 26, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Image - Link Banner Image Width', 'LINK_IMAGE_WIDTH', '150', 'The pixel width of Link images', @configuration_group_id, 27, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Image - Link Banner Image Height', 'LINK_IMAGE_HEIGHT', '30', 'The pixel height of Link images', @configuration_group_id, 28, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Default Link Banner Image', 'DEFAULT_LINK_IMAGE', 'links_default.jpg', 'Set the Default Link Image', @configuration_group_id, 29, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL,'Only registered customers may submit a Link', 'REGISTERED_LINK', 'false', 'Only registered customers may submit a Link', @configuration_group_id, 30, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES (NULL, 'Links - Show Store Name and Address', 'LINKS_STORE_NAME_ADDRESS', 'true', 'Include Store Name and Address', @configuration_group_id, 31, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES (NULL, 'Define Links Status', 'DEFINE_LINKS_STATUS', '1', 'Enable the Defined Link/Text?<br />0= Link ON, Define Text OFF<br />1= Link ON, Define Text ON<br />2= Link OFF, Define Text ON<br />3= Link OFF, Define Text OFF', @configuration_group_id, 32, NULL, now(), NULL, 'zen_cfg_select_option(array(''0'', ''1'', ''2'', ''3''),');
INSERT INTO `configuration` VALUES (NULL, 'Links Manager Version', 'LM_VERSION', '3.5.1', 'Links Manager version', @configuration_group_id, 33, NULL, now(), NULL, NULL);

INSERT INTO `configuration` VALUES (NULL, 'Product option type Select', 'PRODUCTS_OPTIONS_TYPE_SELECT', '0', 'The number representing the Select type of product option.', 0, NULL, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Upload prefix', 'UPLOAD_PREFIX', 'upload_', 'Prefix used to differentiate between upload options and other options', 0, NULL, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Text prefix', 'TEXT_PREFIX', 'txt_', 'Prefix used to differentiate between text option values and other option values', 0, NULL, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES (NULL, 'Image Handler Version', 'IH_VERSION', '2.0', 'This is used by image handler to check if the database is up to date with uploaded image handler files.', 0, 100, NULL, now(), NULL, 'zen_cfg_textarea_small(');

ALTER TABLE `links` DROP `links_rating`;
  
DELETE FROM `links_status` WHERE `links_status`.`links_status_id` = 3;  